Bug 1176798 - [abrt] lxqt-session: QApplicationPrivate::initializeWidgetFontHash(): lxqt-session killed by SIGSEGV
Summary: [abrt] lxqt-session: QApplicationPrivate::initializeWidgetFontHash(): lxqt-se...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lxqt-session
Version: 21
Hardware: x86_64
OS: Unspecified
urgent
urgent
Target Milestone: ---
Assignee: Helio Chissini de Castro
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3d1096fd40901e4db4eb5f22e98...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-23 09:50 UTC by Simon Lewis
Modified: 2015-12-08 21:24 UTC (History)
7 users (show)

Fixed In Version: lxqt-session-0.10.0-1.fc23 lxqt-session-0.10.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 06:23:10 UTC


Attachments (Terms of Use)
File: backtrace (133.30 KB, text/plain)
2014-12-23 09:50 UTC, Simon Lewis
no flags Details
File: cgroup (190 bytes, text/plain)
2014-12-23 09:50 UTC, Simon Lewis
no flags Details
File: core_backtrace (3.76 KB, text/plain)
2014-12-23 09:50 UTC, Simon Lewis
no flags Details
File: dso_list (7.47 KB, text/plain)
2014-12-23 09:50 UTC, Simon Lewis
no flags Details
File: environ (1.29 KB, text/plain)
2014-12-23 09:50 UTC, Simon Lewis
no flags Details
File: exploitable (100 bytes, text/plain)
2014-12-23 09:50 UTC, Simon Lewis
no flags Details
File: limits (1.29 KB, text/plain)
2014-12-23 09:50 UTC, Simon Lewis
no flags Details
File: maps (41.39 KB, text/plain)
2014-12-23 09:50 UTC, Simon Lewis
no flags Details
File: open_fds (495 bytes, text/plain)
2014-12-23 09:50 UTC, Simon Lewis
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2014-12-23 09:50 UTC, Simon Lewis
no flags Details
File: var_log_messages (204 bytes, text/plain)
2014-12-23 09:50 UTC, Simon Lewis
no flags Details
rpm -qa (14.02 KB, text/plain)
2015-01-06 15:18 UTC, Karel Volný
no flags Details
tgziped ABRT problem directory (533.17 KB, application/x-gzip)
2015-02-12 09:42 UTC, Jan Sedlák
no flags Details
rpm -qa (35.19 KB, text/plain)
2015-02-12 09:44 UTC, Jan Sedlák
no flags Details

Description Simon Lewis 2014-12-23 09:50:06 UTC
Description of problem:
Starting LXQT desktop from login manager (LXQT installed from standard repods to a ifc21 ikde installation)

Version-Release number of selected component:
lxqt-session-0.8.0-4.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        lxqt-session
crash_function: QApplicationPrivate::initializeWidgetFontHash
executable:     /usr/bin/lxqt-session
kernel:         3.17.7-300.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 QApplicationPrivate::initializeWidgetFontHash at kernel/qapplication.cpp:708
 #1 qt_init at kernel/qapplication.cpp:600
 #2 QApplicationPrivate::construct at kernel/qapplication.cpp:576
 #3 LxQt::Application::Application at /usr/src/debug/liblxqt-0.8.0/lxqtapplication.cpp:101
 #4 SessionApplication::SessionApplication at /usr/src/debug/lxqt-session-0.8.0/lxqt-session/src/sessionapplication.cpp:32

Comment 1 Simon Lewis 2014-12-23 09:50:11 UTC
Created attachment 972338 [details]
File: backtrace

Comment 2 Simon Lewis 2014-12-23 09:50:13 UTC
Created attachment 972339 [details]
File: cgroup

Comment 3 Simon Lewis 2014-12-23 09:50:14 UTC
Created attachment 972340 [details]
File: core_backtrace

Comment 4 Simon Lewis 2014-12-23 09:50:15 UTC
Created attachment 972341 [details]
File: dso_list

Comment 5 Simon Lewis 2014-12-23 09:50:16 UTC
Created attachment 972342 [details]
File: environ

Comment 6 Simon Lewis 2014-12-23 09:50:17 UTC
Created attachment 972343 [details]
File: exploitable

Comment 7 Simon Lewis 2014-12-23 09:50:18 UTC
Created attachment 972344 [details]
File: limits

Comment 8 Simon Lewis 2014-12-23 09:50:20 UTC
Created attachment 972345 [details]
File: maps

Comment 9 Simon Lewis 2014-12-23 09:50:21 UTC
Created attachment 972346 [details]
File: open_fds

Comment 10 Simon Lewis 2014-12-23 09:50:23 UTC
Created attachment 972347 [details]
File: proc_pid_status

Comment 11 Simon Lewis 2014-12-23 09:50:24 UTC
Created attachment 972348 [details]
File: var_log_messages

Comment 12 Karel Volný 2015-01-06 13:00:31 UTC
razorqt no longer supported and lxqt not ready yet ...?

the crash happens also with lxqt-session-0.8.0-6.fc21

Comment 13 Helio Chissini de Castro 2015-01-06 14:34:05 UTC
We're trying to map what application is causing this issue.
Simple install with lxqt only in system not produce same crash, so is related, probably, to some qt/kde extra library acting as a middle man.

Would be possible to attach your output of rpm -qa, if you feel comfortable in tell what is installed ?

Best regards, Helio

Comment 14 Karel Volný 2015-01-06 15:18:10 UTC
Created attachment 976838 [details]
rpm -qa

Comment 15 Karel Volný 2015-01-06 15:19:33 UTC
(In reply to Helio Chissini de Castro from comment #13)
> Would be possible to attach your output of rpm -qa, if you feel comfortable
> in tell what is installed ?

see the attachment - it is minimal install with only lxqt*, sddm and some xorg-x11-drv stuff added

Comment 16 Simon Lewis 2015-01-06 16:15:21 UTC
(In reply to Helio Chissini de Castro from comment #13)
> 
> Would be possible to attach your output of rpm -qa, if you feel comfortable
> in tell what is installed ?
> 

In my case it was a clean install from the fc21 JAM spin plus latest updates plus lxqt desktop.


This info is for reference only - I have switched to KXStudio as it is impossible to use firewire audio devices with fedoora (see bug https://bugzilla.redhat.com/show_bug.cgi?id=1178514)

Comment 17 Raphael Groner 2015-01-30 20:23:54 UTC
I can not reproduce. What login manager do you use?

lightdm-1.10.4-1.fc21.x86_64
lxqt-session-0.8.0-6.fc21.x86_64

Comment 18 Karel Volný 2015-02-02 13:44:03 UTC
(In reply to Raphael Groner from comment #17)
> I can not reproduce. What login manager do you use?

I have sddm

but I cannot reproduce the issue any more after some updates ...

Comment 19 Jan Sedlák 2015-02-12 09:40:12 UTC
I don't know if it's the same problem, but installing LXQT desktop from Fedora Rawhide iso (rawhide-20150210) from Anaconda results in the same behaviour. After boot, I am presented with login screen, but entering my login and password drops me into login screen again. journalctl shows that lxqt-session sigsegved. I am unable to use ABRT, because it shows error during reporting. I will attach whole ABRT directory.

I am using:
lxqt-session-0.9.0-2.fc22.x86_64
sddm-0.10.0-4.fc22.x86_64

Comment 20 Jan Sedlák 2015-02-12 09:42:48 UTC
Created attachment 990814 [details]
tgziped ABRT problem directory

Comment 21 Jan Sedlák 2015-02-12 09:44:10 UTC
Created attachment 990815 [details]
rpm -qa

Comment 22 Helio Chissini de Castro 2015-02-13 13:28:00 UTC
Qt is suffering some issues on newly introduced gcc5
We're trying to look after, but affected KDE Plasma 5 and possibly most of Qt based applications.

Still under investigation

Comment 23 Fedora Update System 2015-11-03 00:53:35 UTC
pcmanfm-qt-0.10.0-1.fc22 lxqt-session-0.10.0-1.fc22 lxqt-runner-0.10.0-1.fc22 lxqt-qtplugin-0.10.0-1.fc22 lxqt-powermanagement-0.10.0-1.fc22 lxqt-policykit-0.10.0-1.fc22 lxqt-panel-0.10.0-1.fc22 lxqt-openssh-askpass-0.10.0-1.fc22 lxqt-globalkeys-0.10.0-1.fc22 lxqt-config-0.10.0-1.fc22 lxqt-common-0.10.0-1.fc22 lxqt-about-0.10.0-1.fc22 liblxqt-0.10.0-1.fc22 libqtxdg-1.3.0-1.fc22 libsysstat-0.3.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1236ae97a3

Comment 24 Fedora Update System 2015-11-03 18:57:32 UTC
liblxqt-0.10.0-1.fc22, libqtxdg-1.3.0-1.fc22, libsysstat-0.3.1-1.fc22, lxqt-about-0.10.0-1.fc22, lxqt-common-0.10.0-1.fc22, lxqt-config-0.10.0-1.fc22, lxqt-globalkeys-0.10.0-1.fc22, lxqt-openssh-askpass-0.10.0-1.fc22, lxqt-panel-0.10.0-1.fc22, lxqt-policykit-0.10.0-1.fc22, lxqt-powermanagement-0.10.0-1.fc22, lxqt-qtplugin-0.10.0-1.fc22, lxqt-runner-0.10.0-1.fc22, lxqt-session-0.10.0-1.fc22, pcmanfm-qt-0.10.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lxqt-about lxqt-common lxqt-config lxqt-openssh-askpass lxqt-panel lxqt-policykit lxqt-powermanagement lxqt-qtplugin lxqt-runner lxqt-session pcmanfm-qt lxqt-globalkeys liblxqt libqtxdg libsysstat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1236ae97a3

Comment 25 Fedora Update System 2015-11-03 19:53:33 UTC
liblxqt-0.10.0-1.fc23, libqtxdg-1.3.0-1.fc23, libsysstat-0.3.1-1.fc23, lxqt-about-0.10.0-1.fc23, lxqt-common-0.10.0-1.fc23, lxqt-config-0.10.0-1.fc23, lxqt-globalkeys-0.10.0-1.fc23, lxqt-openssh-askpass-0.10.0-1.fc23, lxqt-panel-0.10.0-1.fc23, lxqt-policykit-0.10.0-1.fc23, lxqt-powermanagement-0.10.0-1.fc23, lxqt-qtplugin-0.10.0-1.fc23, lxqt-runner-0.10.0-1.fc23, lxqt-session-0.10.0-1.fc23, pcmanfm-qt-0.10.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lxqt-about lxqt-common lxqt-config lxqt-openssh-askpass lxqt-panel lxqt-policykit lxqt-powermanagement lxqt-qtplugin lxqt-runner lxqt-session pcmanfm-qt lxqt-globalkeys liblxqt libqtxdg libsysstat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2c5eb8c205

Comment 26 Fedora End Of Life 2015-11-04 16:00:12 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 27 Fedora End Of Life 2015-12-02 06:23:14 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 28 Fedora Update System 2015-12-08 19:54:18 UTC
liblxqt-0.10.0-1.fc23, libqtxdg-1.3.0-1.fc23, libsysstat-0.3.1-1.fc23, lxqt-about-0.10.0-1.fc23, lxqt-common-0.10.0-1.fc23, lxqt-config-0.10.0-1.fc23, lxqt-globalkeys-0.10.0-1.fc23, lxqt-openssh-askpass-0.10.0-1.fc23, lxqt-panel-0.10.0-1.fc23, lxqt-policykit-0.10.0-1.fc23, lxqt-powermanagement-0.10.0-1.fc23, lxqt-qtplugin-0.10.0-1.fc23, lxqt-runner-0.10.0-1.fc23, lxqt-session-0.10.0-1.fc23, pcmanfm-qt-0.10.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2015-12-08 21:23:37 UTC
liblxqt-0.10.0-1.fc22, libqtxdg-1.3.0-1.fc22, libsysstat-0.3.1-1.fc22, lxqt-about-0.10.0-1.fc22, lxqt-common-0.10.0-1.fc22, lxqt-config-0.10.0-1.fc22, lxqt-globalkeys-0.10.0-1.fc22, lxqt-openssh-askpass-0.10.0-1.fc22, lxqt-panel-0.10.0-1.fc22, lxqt-policykit-0.10.0-1.fc22, lxqt-powermanagement-0.10.0-1.fc22, lxqt-qtplugin-0.10.0-1.fc22, lxqt-runner-0.10.0-1.fc22, lxqt-session-0.10.0-1.fc22, pcmanfm-qt-0.10.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.